aboutsummaryrefslogtreecommitdiff
path: root/bin/mkmv.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:06:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:46:47 +1200
commitc8ab406749124d2e762ad5cf53963070113afd0f (patch)
tree54c9721a06957ebe7098a211eea803b0230c0f5d /bin/mkmv.sh
parentHandle POSIX correctness in ~/.bash_profile (diff)
downloaddotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.tar.gz
dotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.zip
Apply runtime shebanging to POSIX shell
Diffstat (limited to 'bin/mkmv.sh')
-rw-r--r--bin/mkmv.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/mkmv.sh b/bin/mkmv.sh
new file mode 100644
index 00000000..53b5aa8f
--- /dev/null
+++ b/bin/mkmv.sh
@@ -0,0 +1,17 @@
+# Move files into created directory in one call
+
+# Check we have at least two arguments
+if [ "$#" -lt 2 ] ; then
+ printf >&2 'mkmv: Need at least one source and destination\n'
+ exit 2
+fi
+
+# Get the last argument (the directory to create)
+for dir ; do : ; done
+
+# Create it, or bail
+mkdir -p -- "$dir" || exit
+
+# Move all the remaining arguments into the directory (which will be the last
+# argument)
+mv -- "$@"